Bug 172534 - tetex scripts leave "droppings"
tetex scripts leave "droppings"
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-11-06 09:17 EST by Michal Jaegermann
Modified: 2013-07-02 19:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-09 06:28:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to ensure that cleanup code is really called (1.67 KB, patch)
2005-11-06 09:17 EST, Michal Jaegermann
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2005-11-06 09:17:56 EST
Description of problem:

Many invocations of 'tetexconfig', 'updmap' and 'fmutil' scripts leave behind
temporary directories.  To see some examples try 'tetexconfig-sys conf'
or 'updmap --help'.

The problem is that although temporary directories for all these utilities
are created always, sometimes in a completely reduntant manner (that would
prevent 'updmap --help' from working with /tmp remounted read-only - say due
to a filesystem errors), but removal is strangely baroque and not invoked
on many code paths.  Hopefuly sometimes it is but I quickly lost my patience
with those scripts.

Attached patch cuts through the chase and ensures that we are not left
with junk.  It is "minimal" in that sense that it does not try to fix
and turns of the original code.  It may cause in the current situation too many
calls to 'cleanup()' but this does not look like a problem.

Version-Release number of selected component (if applicable):
tetex-3.0-6.FC4 and others

How reproducible:
Comment 1 Michal Jaegermann 2005-11-06 09:17:56 EST
Created attachment 120773 [details]
patch to ensure that cleanup code is really called
Comment 2 Jindrich Novy 2005-11-07 03:59:05 EST
Thanks for the patch! The multiple calls to cleanup() shouldn't cause anything
bad IMO. It's texconfig not tetexconfig btw.
Comment 3 Jindrich Novy 2005-11-09 06:28:46 EST
Applied since 3.0-9.

Note You need to log in before you can comment on or make changes to this bug.